io.netty.handler.codec.mqtt

## Class MqttSubAckPayload

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttSubAckPayload

    public class MqttSubAckPayload
    extends Object

Payload of the `MqttSubAckMessage`

### Constructor Summary

Constructors
Constructor and Description
`MqttSubAckPayload(int... reasonCodes)`
`MqttSubAckPayload(Iterable<Integer> reasonCodes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Integer>` `grantedQoSLevels()`
`List<Integer>` `reasonCodes()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttSubAckPayload

    public MqttSubAckPayload(int... reasonCodes)

#### MqttSubAckPayload

    public MqttSubAckPayload(Iterable<Integer> reasonCodes)

### Method Detail

#### grantedQoSLevels

    public List<Integer> grantedQoSLevels()

#### reasonCodes

    public List<Integer> reasonCodes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`